Subject: Re: [PATCH 2/2] After renaming a section, print any trailing variable definitions

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jul 2009 16:39:28 -0700

Nanako Shiraishi <[email-masked]> writes:

> Quoting Alex Vandiver <[email-masked]>
>
>> diff --git a/t/t1300-repo-config.sh b/t/t1300-repo-config.sh
>> index 43ea283..8c43dcd 100755
>> --- a/t/t1300-repo-config.sh
>> +++ b/t/t1300-repo-config.sh
>> @@ -460,6 +460,28 @@ EOF
>>  test_expect_success "rename succeeded" "test_cmp expect .git/config"
>>  
>>  cat >> .git/config << EOF
>> +[branch "vier"] z = 1
>> +EOF
>
> Isn't this a syntax error?
>
> Documentation/config.txt says this.

Even if it were, I think it would be nice to allow it.  I'll have to
re-read Alex's patch, but I thought it was sane.  Perhaps we can update
the documentation, mildly hinting that it is allowed without encouraging
it too strongly, as I think it is a good style to have these on separate
lines.

Dscho?  Have any suggestions/comments on the patch?